/* -----------Common Style----------- */
#parallax {
  width:100%;
  padding: 10% 0;
  color: #fff;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
}

#parallax h2 {
	font-size: clamp(24px, 2.08vw, 40px);
	color: #ffffff;
	font-weight:bold;
}

#parallax strong {
  display: block;
  font-size: clamp(14px, 1.15vw, 22px);
  color: #ffffff;
  padding: 20px 0;
}

#parallax a {
	display: inline-block;
	text-transform: capitalize;
	position: relative;
	z-index: 1;
	overflow: hidden; 
	max-width: 250px;
	text-overflow: ellipsis;
	white-space: nowrap;
	margin-left: 20px;
	padding: 10px 30px;
	border-radius: 50px;
	text-decoration: none;
	transition-duration: 0.5s;
	font-family: var(--title-font-family);
	background: var(--color-primary);
	color: #ffffff;
}

#parallax .border-radius {
  border-radius: 50px;
}

#parallax .button-hover {
  -webkit-transition: border-color 0.4s, color 0.4s;
  -ms-transition: border-color 0.4s, color 0.4s;
  -o-transition: border-color 0.4s, color 0.4s;
  -moz-transition: border-color 0.4s, color 0.4s;
  transition: border-color 0.4s, color 0.4s;
  z-index: 1;
}

#parallax .button-hover:before {
  content: "";
  position: absolute;
  border-radius: 50px;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  opacity: 0;
  background: #fff;
  -moz-transform: scale3d(0.7, 1, 1);
  -ms-transform: scale3d(0.7, 1, 1);
  -o-transform: scale3d(0.7, 1, 1);
  -webkit-transform: scale3d(0.7, 1, 1);
  transform: scale3d(0.7, 1, 1);
  -webkit-transition: -webkit-transform 0.4s, opacity 0.4s;
  -transition: transform 0.4s, opacity 0.4s;
  -ms-transition: transform 0.4s, opacity 0.4s;
  -o-transition: transform 0.4s, opacity 0.4s;
  transition: transform 0.4s, opacity 0.4s;
}
#parallax .button-hover,
#parallax .button-hover:before {
  -webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
  transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}

#parallax .button-hover:hover,
#parallax .button-hover:focus {
  color: var(--color-primary);
  border: 1px solid var(--color-primary);
	  background: none;
}


#parallax a:hover {
  background: none;
  color: var(--color-primary);
  border: 1px solid var(--color-primary);
}


#parallax .button-hover:hover::before,
#parallax .button-hover:focus::before {
  opacity: 1;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

